package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAelophyOrderGetOrderResponse struct {
	/*
	   商家编码     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   经营店编码     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   渠道店编码     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   订单渠道, 31=淘鲜达等     */
	OrderFrom *int64 `json:"order_from,omitempty" `

	/*
	   订单编码     */
	BizOrderId *int64 `json:"biz_order_id,omitempty" `

	/*
	   渠道订单编码     */
	OutOrderId *string `json:"out_order_id,omitempty" `

	/*
	   支付时间     */
	PayTime *util.LocalTime `json:"pay_time,omitempty" `

	/*
	   订单总价，分     */
	OriginalFee *int64 `json:"original_fee,omitempty" `

	/*
	   订单总优惠，分     */
	DiscountFee *int64 `json:"discount_fee,omitempty" `

	/*
	   配送费，分     */
	PostFee *int64 `json:"post_fee,omitempty" `

	/*
	   包装费，分     */
	PackageFee *int64 `json:"package_fee,omitempty" `

	/*
	   用户实际支付费用，分     */
	PayFee *int64 `json:"pay_fee,omitempty" `

	/*
	   订单状态 PAID = 订单支付完成 PACKAGED = 订单打包出库 SHIPPING = 订单配送揽收 SUCCESS = 交易完成 CLOSE = 订单取消     */
	OrderStatus *string `json:"order_status,omitempty" `

	/*
	   收货人信息     */
	ReceiveInfo *AlibabaAelophyOrderGetReceiveInfo `json:"receive_info,omitempty" `

	/*
	   子订单列表     */
	SubOrderResponseList *[]AlibabaAelophyOrderGetSubOrderResponse `json:"sub_order_response_list,omitempty" `

	/*
	   订单扩展信息     */
	Ext *AlibabaAelophyOrderGetOrderInfoExt `json:"ext,omitempty" `

	/*
	   对接渠道的门店ID     */
	OutShopId *string `json:"out_shop_id,omitempty" `

	/*
	   渠道订单小号     */
	OrderNo *string `json:"order_no,omitempty" `

	/*
	   买家openId     */
	OpenUid *string `json:"open_uid,omitempty" `

	/*
	   商品平台优惠分摊     */
	SkuDiscountPlatformFee *int64 `json:"sku_discount_platform_fee,omitempty" `

	/*
	   商品商家优惠分摊     */
	SkuDiscountMerchantFee *int64 `json:"sku_discount_merchant_fee,omitempty" `

	/*
	   配送费平台优惠分摊     */
	PostDiscountPlatformFee *int64 `json:"post_discount_platform_fee,omitempty" `

	/*
	   配送费商家优惠分摊     */
	PostDiscountMerchantFee *int64 `json:"post_discount_merchant_fee,omitempty" `

	/*
	   配送方式 1=定时配送/ 3=用户自提     */
	DeliveryType *int64 `json:"delivery_type,omitempty" `

	/*
	   支付渠道信息列表     */
	PayChannels *[]AlibabaAelophyOrderGetOrderPayChannel `json:"pay_channels,omitempty" `

	/*
	   主单活动列表     */
	Activitys *[]AlibabaAelophyOrderGetOrderActivity `json:"activitys,omitempty" `

	/*
	   资金优惠     */
	FundsDiscounts *[]AlibabaAelophyOrderGetOrderFundsDiscount `json:"funds_discounts,omitempty" `

	/*
	   平台扣费对象     */
	PlatformDeduction *AlibabaAelophyOrderGetPlatformDeduction `json:"platform_deduction,omitempty" `

	/*
	   送货信息     */
	DeliveryInfo *AlibabaAelophyOrderGetDeliveryInfo `json:"delivery_info,omitempty" `

	/*
	   订单业务类型 0=普通单 41=码上购订单     */
	BusinessType *string `json:"business_type,omitempty" `
}

func (s *AlibabaAelophyOrderGetOrderResponse) SetMerchantCode(v string) *AlibabaAelophyOrderGetOrderResponse {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetStoreId(v string) *AlibabaAelophyOrderGetOrderResponse {
	s.StoreId = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetShopId(v string) *AlibabaAelophyOrderGetOrderResponse {
	s.ShopId = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetOrderFrom(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetBizOrderId(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.BizOrderId = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetOutOrderId(v string) *AlibabaAelophyOrderGetOrderResponse {
	s.OutOrderId = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetPayTime(v util.LocalTime) *AlibabaAelophyOrderGetOrderResponse {
	s.PayTime = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetOriginalFee(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.OriginalFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetDiscountFee(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.DiscountFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetPostFee(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.PostFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetPackageFee(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.PackageFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetPayFee(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.PayFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetOrderStatus(v string) *AlibabaAelophyOrderGetOrderResponse {
	s.OrderStatus = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetReceiveInfo(v AlibabaAelophyOrderGetReceiveInfo) *AlibabaAelophyOrderGetOrderResponse {
	s.ReceiveInfo = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetSubOrderResponseList(v []AlibabaAelophyOrderGetSubOrderResponse) *AlibabaAelophyOrderGetOrderResponse {
	s.SubOrderResponseList = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetExt(v AlibabaAelophyOrderGetOrderInfoExt) *AlibabaAelophyOrderGetOrderResponse {
	s.Ext = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetOutShopId(v string) *AlibabaAelophyOrderGetOrderResponse {
	s.OutShopId = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetOrderNo(v string) *AlibabaAelophyOrderGetOrderResponse {
	s.OrderNo = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetOpenUid(v string) *AlibabaAelophyOrderGetOrderResponse {
	s.OpenUid = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetSkuDiscountPlatformFee(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.SkuDiscountPlatformFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetSkuDiscountMerchantFee(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.SkuDiscountMerchantFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetPostDiscountPlatformFee(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.PostDiscountPlatformFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetPostDiscountMerchantFee(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.PostDiscountMerchantFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetDeliveryType(v int64) *AlibabaAelophyOrderGetOrderResponse {
	s.DeliveryType = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetPayChannels(v []AlibabaAelophyOrderGetOrderPayChannel) *AlibabaAelophyOrderGetOrderResponse {
	s.PayChannels = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetActivitys(v []AlibabaAelophyOrderGetOrderActivity) *AlibabaAelophyOrderGetOrderResponse {
	s.Activitys = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetFundsDiscounts(v []AlibabaAelophyOrderGetOrderFundsDiscount) *AlibabaAelophyOrderGetOrderResponse {
	s.FundsDiscounts = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetPlatformDeduction(v AlibabaAelophyOrderGetPlatformDeduction) *AlibabaAelophyOrderGetOrderResponse {
	s.PlatformDeduction = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetDeliveryInfo(v AlibabaAelophyOrderGetDeliveryInfo) *AlibabaAelophyOrderGetOrderResponse {
	s.DeliveryInfo = &v
	return s
}
func (s *AlibabaAelophyOrderGetOrderResponse) SetBusinessType(v string) *AlibabaAelophyOrderGetOrderResponse {
	s.BusinessType = &v
	return s
}
